Tokenized Stocks API
Get Token Metadata
Return a tokenized stock’s contractURI-compatible metadata document.
GET
Get token metadata
Example
Use the token symbol, including its token suffix, such asTSLAc. Ticker lookup is case-insensitive.
cURL
contract_address, name, symbol, description, image, and prospectus_url. The image and prospectus URLs are stable API links that redirect to the current assets. A prospectus_url does not guarantee that a PDF is currently cached; check List Cached Prospectuses for available tickers.Path Parameters
The token ticker symbol, including its token suffix. Lookup is case-insensitive.
Response
Token metadata.
A contractURI-compatible metadata document for a listed tokenized stock.
The ERC-20 token contract address on Base.
The name of the underlying equity.
The token ticker symbol.
Stable API URL that redirects to the current token icon.
Stable API URL that redirects to the approved prospectus when available. Use GET /v1/tokenized-stocks/prospectuses to discover cached prospectuses.
The same human-readable tokenized-stock description returned in the token list.